import flet as ft
from utils import AppView


def App(page: ft.Page):
    return AppView(
        '/apps/mwsc',
        [
            ft.AppBar(
                leading=ft.IconButton(
                    ft.icons.ARROW_BACK_IOS_NEW_ROUNDED,
                    on_click=lambda _: page.go('/apps'),
                ),
                title=ft.Text('MWSC'),
                bgcolor=ft.colors.TRANSPARENT,
            ),
        ],
    )
